Subject: [css-d] a div that is at least the full height of the window...

From: me at chrismcleod.net (Chris McLeod)
Date: Mon, 28 Apr 2003 19:21:28 +0100

I've been trying to create a ALA style layout for a site template. This bit 
is all simple enough... However, I need the main content area to stretch 
the full height of the window at the very least. The content area is a 
different colour from the page background, and it looks a bit silly as just 
a block in the upper corner.

I've tried height and min-height equal to 100% or auto, but neither have 
worked at all, if the positioning is done with floats or relative 
positioning. If I set the positioning to absolute, it works but it forces 
scroll bars, which is obviously undesirable.

Is it possible to have a floated div fill the entire height of the window? 
Or will I have to create the effect using a background image (which is my 
backup plan...)

Thanks,

Chris.